Bug 170309 - Review Request: opencv
Review Request: opencv
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ed Hill
David Lawrence
http://nomis80.org/rpms/SPECS/opencv....
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-10 13:30 EDT by Simon Perreault
Modified: 2009-08-25 12:02 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.0.0-3.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 15:13:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Simon Perreault 2005-10-10 13:30:52 EDT
Spec Name or Url: http://nomis80.org/rpms/SPECS/opencv.spec
SRPM Name or Url: http://nomis80.org/rpms/SRPMS/opencv-0.9.7-1.src.rpm
Description: OpenCV means Intel® Open Source Computer Vision Library. It is a collection of  functions and a few C++ classes that implement some popular Image Processing nd Computer Vision algorithms.

*** This is my first package and I am seeking a sponsor.
Comment 1 Ed Hill 2005-10-10 15:47:37 EDT
Hi Simon, I'm really happy to see that someone is interested in volunteering 
to package OpenCV for Fedora.  I spent a few hours looking at it and got 
bogged down in the dependency details.

Mainly, OpenCV needs ffmpeg which is LGPL (good!) but it unfortunately has
some very real legal issues regarding patents as described in their FAQ:

  http://ffmpeg.sourceforge.net/legal.php

so, in all likelihood, ffmpeg cannot be added to Fedora Extras per the 
patent requirements:

  http://fedoraproject.org/wiki/PackagingGuidelines

which would then mean that OpenCV is effectively excluded since it depends 
upon ffmpeg and FE packages cannot depend upon packages that are themselves 
excluded from FE.

And if I've made any mistakes in the above reasoning then please point 
them out!
Comment 2 Simon Perreault 2005-10-10 16:16:41 EDT
Thankfully, that dependency seems to be optional. I've updated my package 
accordingly. 
Comment 3 Ed Hill 2005-10-16 11:28:07 EDT
Hi Simon, when you build a new SRPM, please post the URL.  I know its 
only a convenience but anything that makes the job easier for the 
reviewer is good.  ;-)

So, I can build http://nomis80.org/rpms/SRPMS/opencv-0.9.7-2.src.rpm on 
FC-4 but rpmlint reports:

  W: opencv invalid-license Intel Open Source License
  W: opencv-devel invalid-license Intel Open Source License
  E: opencv-devel non-executable-script \
     /usr/share/opencv/samples/c/build_all.sh 0644
  W: opencv-python invalid-license Intel Open Source License
  E: opencv-python non-executable-script \
     /usr/lib/python2.4/site-packages/opencv/adaptors.py 0644
  E: opencv-python non-executable-script \
     /usr/lib/python2.4/site-packages/opencv/__init__.py 0644

I think its safe to ignore the invalid-license warnings.  The license 
itself seems to be totally compatible with Fedora:

  http://www.intel.com/technology/computing/opencv/license.htm

since the terms are essentially "this license must be shipped along 
with any source or binaries".

Could you please create an updated RPM that has no rpmlint errors?
Comment 4 Simon Perreault 2005-10-16 12:30:47 EDT
Sorry about the new URL. I'll do as you say in the future.      
      
About the rpmlint errors:      
      
The license error is clearly an rpmlint bug. When info is enabled, it lists      
"Intel Open Source License" as being acceptable. But it still emits the     
warning. So rpmlint should be fixed.     
     
About the non executable build_all.sh: it shouldn't be. It is in %doc and is    
provided as documentation, not as a runnable script. If the user wants to    
compile the examples, which are provided as documentation, it must copy them    
to its home directory. If it also wants to use the build script, which is    
provided as an example of a build script (%doc), then it must copy it to its    
home, chmod it or run it otherwise.    
   
About the non executable *.py: they clearly shouldn't be. I think this is a 
rpmlint bug but I'm not sure. Those .py files are installed in the Python 
directory for modules. They are Python modules. They are not scripts. Is that 
a rpmlint bug or should I do things otherwise? 
Comment 5 Ville Skyttä 2005-10-16 12:52:58 EDT
The license is ok, rpmlint is stupid and has a hardcoded list of valid ones in 
the info-enabled message (not the one configured in /etc/rpmlint/config). 
 
Without having a look at the package, my guess would be that the files in 
question contain a shebang and so are treated as scripts and error-flagged due 
to being non-executable.  If they're not executable scripts, there's no need 
to have the shebang in them.  That could be reported upstream. 
Comment 6 Simon Perreault 2005-10-16 14:12:04 EDT
Here you go: http://nomis80.org/rpms/SRPMS/opencv-0.9.7-3.src.rpm   
   
I've informed upstream about the shellbang stuff and I've added a sed command   
that does the change in the meantime. I've also removed the build_all.sh   
script (which was not that good) along with other useless makefiles and   
(gasp!) visual studio project files and replaced them with a three-line   
Makefile that actually works. ;) Since it uses GNU make-specific commands I  
haven't sent it upstream. Besides, this is only documentation. 
Comment 7 Ed Hill 2005-10-20 22:40:21 EDT
Hi Simon, the update looks good.

Its a shame that ffmpeg has issues with regard to software patents and
cannot be included in FE and used in conjunction with OpenCV.  Perhaps
someday the political situation will improve!

 - source matches upstream
 - license included and OK
 - rpmlint OK
 - builds in mock on FC-4
 - specfile looks good
 - proper use of ldconfig

APPROVED.
Comment 8 Ralf Corsepius 2006-03-04 00:56:35 EST
Ping? What is the status of this package?

It had been approved 4.5 months ago, however nothing seems to have happened
since then. Close as WONTFIX?
Comment 9 Simon Perreault 2006-03-04 06:40:21 EST
What is still needed of me for the package to be included proper? 
Comment 10 Ed Hill 2006-03-04 08:30:14 EST
Hi Simon, please see:

  http://fedoraproject.org/wiki/Extras/Contributors

and follow the instructions.  I've approved your package and will sponsor you 
once you setup your account within the account system.  And if you have 
questions or problems then please email me and/or the extras list.
Comment 11 Andrew Colin Kissa 2009-08-05 05:23:36 EDT
Package Change Request
======================
Package Name: opencv
New Branches: EL-5
Owners: topdog
Comment 12 Jason Tibbitts 2009-08-05 12:46:10 EDT
We need an ack from the current owner of this package before we can branch it for EPEL.
Comment 13 Andrew Colin Kissa 2009-08-05 12:52:38 EDT
Hi Jason,

I have email confirmation from Rakesh Pandit that i can maintain the EPEL branch. I contacted him prior to creating this request.
Comment 14 Kevin Fenzi 2009-08-07 16:08:19 EDT
cvs done.
Comment 15 Fedora Update System 2009-08-07 17:09:01 EDT
opencv-1.0.0-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/opencv-1.0.0-3.el5
Comment 16 Nicolas Chauvet (kwizart) 2009-08-07 17:24:56 EDT
Hello !

I would have liked to be consulted as the last commiter in the devel branch of opencv or at least (allowed to cvs approve), with possibly an interest to maintain an epel branch when it will make sense.


1/ Do we have a guideline about how to request epel branch against current Fedora maintainer ?
2/ On which base topdog plan to maintain an epel5 branch ? Is there WIP src.rpm that have been showed ? which version plans to be picked?

Thx for your interest in opencv btw, and welcome onboard.
Comment 17 Nicolas Chauvet (kwizart) 2009-08-07 17:26:59 EDT
(In reply to comment #15)
> opencv-1.0.0-3.el5 has been submitted as an update for Fedora EPEL 5.
> http://admin.fedoraproject.org/updates/opencv-1.0.0-3.el5  
So we know (I haven't received the commit for el5 at this time)
Comment 18 Andrew Colin Kissa 2009-08-07 17:38:34 EDT
Hi

The guidelines i followed are here https://fedoraproject.org/wiki/Getting_a_Fedora_package_in_EPEL

Thanks Nicolas, rakesh being the current maintainer gave me the go ahead for the EPEL branch, Nicolas if you want the EPEL branch you are welcome to pick it up. I was needed to get it in to EPEL as i need it for php-facedetect which in turn is used by horde's ansel gallery application.
Comment 19 Fedora Update System 2009-08-25 12:02:17 EDT
opencv-1.0.0-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.